### Enumeration

# AppStream MarkupKind

#### Declaration

    enum AppStream.MarkupKind

#### Description [src]

Text markup types.

#### Members

`AS_MARKUP_KIND_UNKNOWN`

  Unknown markup.

  - Value: `0`
  - Available since: 1.0
`AS_MARKUP_KIND_XML`

  XML markup.

  - Value: `1`
  - Available since: 1.0
`AS_MARKUP_KIND_TEXT`

  Simple text with unicode symbols.

  - Value: `2`
  - Available since: 1.0
`AS_MARKUP_KIND_MARKDOWN`

  Markdown.

  - Value: `3`
  - Available since: 1.0